internal::source_task_bypass< NodeType > Class Template Reference

A task that calls a node's apply_body_bypass function with no input. More...

`#include <_flow_graph_body_impl.h>`

Inheritance diagram for internal::source_task_bypass< NodeType >:
Collaboration diagram for internal::source_task_bypass< NodeType >:

## Public Member Functions

| source_task_bypass (NodeType &n)
task * | execute () __TBB_override

## Private Attributes

NodeType & | my_node

## Detailed Description

### template<typename NodeType>
class internal::source_task_bypass< NodeType >

A task that calls a node's apply_body_bypass function with no input.

Definition at line 378 of file _flow_graph_body_impl.h.

## Constructor & Destructor Documentation

## source_task_bypass()

template<typename NodeType >

internal::source_task_bypass< NodeType >::source_task_bypass | ( | NodeType & | n | ) |

inline

Definition at line 384 of file _flow_graph_body_impl.h.

: my_node(n) {}
internal::source_task_bypass::my_node
NodeType & my_node
Definition: _flow_graph_body_impl.h:380

## Member Function Documentation

## execute()

template<typename NodeType >

task* internal::source_task_bypass< NodeType >::execute | ( |  | ) |

inline

Definition at line 386 of file _flow_graph_body_impl.h.

{
task *new_task = my_node.apply_body_bypass( );
if(new_task == SUCCESSFULLY_ENQUEUED) return NULL;
return new_task;
}
task
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d void ITT_FORMAT p void ITT_FORMAT p __itt_model_site __itt_model_site_instance ITT_FORMAT p __itt_model_task * task
Definition: ittnotify_static.h:119
tbb::flow::internal::SUCCESSFULLY_ENQUEUED
static tbb::task *const SUCCESSFULLY_ENQUEUED
Definition: _flow_graph_impl.h:61

References internal::source_task_bypass< NodeType >::my_node, tbb::flow::internal::SUCCESSFULLY_ENQUEUED, and task.

## Member Data Documentation

## my_node

template<typename NodeType >

NodeType& internal::source_task_bypass< NodeType >::my_node

private

Definition at line 380 of file _flow_graph_body_impl.h.

Referenced by internal::source_task_bypass< NodeType >::execute().

The documentation for this class was generated from the following file:

- _flow_graph_body_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.